/* Core/ARM/3/ARMMMU.h

23/Mar/2000 ned
*/

#ifdef __cplusplus
extern "C" {
#endif

#define ARMCORE_SETMMU			(1<<0)
#define ARMCORE_SETADDRFAULT	(1<<1)
#define ARMCORE_SETWB			(1<<3)
#define ARMCORE_SETSYSTEM		(1<<8)
#define ARMCORE_SETROM			(1<<9)

extern HALError *ARMMMU_Set(int setbits, int clrbits);

extern HALError *ARMMMU_SetTranslationTableBase(u32 *base);

extern HALError *ARMMMU_BeginL1PageTableBuild(u32 *base);

extern HALError *ARMMMU_MakeL1PageTableEntries(u32 *base, int sectionno, u32 svaddr, u32 evaddr, u32 template);

#ifdef __cplusplus
}
#endif
